JUCE: AndroidDocumentPermission Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
AndroidDocumentPermission Class Reference
juce_core » files

Represents a permission granted to an application to read and/or write to a particular document or tree. More...

`#include <juce_AndroidDocument.h>`

## Public Member Functions
URL | getUrl () const
| The url of the document with persisted permissions.
int64 | getPersistedTime () const
| The time when the permissions were persisted, in milliseconds since January 1, 1970 00:00:00.0 UTC.
bool | isReadPermission () const
| True if the permission allows read access.
bool | isWritePermission () const
| True if the permission allows write access.

## Static Public Member Functions
static void | takePersistentReadWriteAccess (const URL &)
| Gives your app access to a particular document or tree, even after the device is rebooted.
static void | releasePersistentReadWriteAccess (const URL &)
| Revokes persistent access to a document or tree.
static std::vector< AndroidDocumentPermission > | getPersistedPermissions ()
| Returns all of the permissions that have previously been granted to the app, via takePersistentReadWriteAccess();.

## Detailed Description

Represents a permission granted to an application to read and/or write to a particular document or tree.

This class also contains static methods to request, revoke, and query the permissions of your app. These functions are no-ops on all platforms other than Android.

## Member Function Documentation

## ◆ getUrl()

URL AndroidDocumentPermission::getUrl | ( |  | ) | const

The url of the document with persisted permissions.

## ◆ getPersistedTime()

int64 AndroidDocumentPermission::getPersistedTime | ( |  | ) | const

The time when the permissions were persisted, in milliseconds since January 1, 1970 00:00:00.0 UTC.

## ◆ isReadPermission()

bool AndroidDocumentPermission::isReadPermission | ( |  | ) | const

True if the permission allows read access.

## ◆ isWritePermission()

bool AndroidDocumentPermission::isWritePermission | ( |  | ) | const

True if the permission allows write access.

## ◆ takePersistentReadWriteAccess()

static void AndroidDocumentPermission::takePersistentReadWriteAccess | ( | const URL & |  | ) |
| static

Gives your app access to a particular document or tree, even after the device is rebooted.

If you want to persist access to a folder selected through a native file chooser, make sure to pass the exact URL returned by the file picker. Do NOT call AndroidDocument::fromTree and then pass the result of getUrl to this function, as the resulting URL may differ from the result of the file picker.

## ◆ releasePersistentReadWriteAccess()

static void AndroidDocumentPermission::releasePersistentReadWriteAccess | ( | const URL & |  | ) |
| static

Revokes persistent access to a document or tree.

## ◆ getPersistedPermissions()

static std::vector< AndroidDocumentPermission > AndroidDocumentPermission::getPersistedPermissions | ( |  | ) |
| static

Returns all of the permissions that have previously been granted to the app, via takePersistentReadWriteAccess();.

The documentation for this class was generated from the following file:

- juce_AndroidDocument.h